Properties Methods Events Direct Link

# Class Ext.grid.PropertyRecord

Package: | Ext.grid
Defined In: | PropertyGrid.js
Class: | PropertyRecord
Extends: | Object

A specific Ext.data.Record type that represents a name/value pair and is made to work with the Ext.grid.PropertyGrid. Typically, PropertyRecords do not need to be created directly as they can be created implicitly by simply using the appropriate data configs either via the Ext.grid.PropertyGrid.source config property or by calling Ext.grid.PropertyGrid.setSource. However, if the need arises, these records can also be created explicitly as shwon below. Example usage:

    var rec = new Ext.grid.PropertyRecord({
        name: 'Birthday',
        value: new Date(Date.parse('05/26/1972'))
    });
    // Add record to an already populated grid
    grid.store.addSorted(rec);

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

PropertyRecord( `Object config` )
Parameters:

- `config` : Object
  A data object in the format: {name: [name], value: [value]}. The specified value's type will be read automatically by the grid to determine the type of editor to use when displaying it.

Returns:

- ``

PropertyRecord

## Public Events

This class has no public events.